$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.109.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.109.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '5EAECAC866E42AB928007BF4719E410BBD5ECF539B773BB17D695D8EC877EFAF'
  checksumType = 'sha256'
  checksum64 = '5EAECAC866E42AB928007BF4719E410BBD5ECF539B773BB17D695D8EC877EFAF'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.32.109-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
